[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenu.BidiModeChanged

Performs actions needed when the value in BiDiMode has been changed.

## Declaration

Source position: menus.pp line 390

`protected procedure TMenu.BidiModeChanged; virtual;`

## Description

BidiModeChanged is a method used to performs actions needed when the value in the BiDiMode property has been changed. If the Handle has been allocated for the menu, the widgetset class is notified of the new property values.

## See also

TMenu.BiDiMode |  | Indicates whether Bi-directional text mode is implemented allowing use with languages like Arabic or Hebrew.
TMenu.Handle |  | Handle for the menu allocated in the widgetset class.